<template>
  <nav class="navbar navbar-expand-md navbar-dark bg-dark mb-4 py-2">
    <div class="container-fluid">
      <div class="navbar-brand">Troppers Auth App</div>
      <div>
        <ul class="navbar-nav me-auto mb-2 mb-md-0" v-if="auth">
          <li class="nav-item">
            <router-link to="/users" class="nav-link">All Users</router-link>
          </li>
          <li class="nav-item">
            <router-link to="/my-profile" class="nav-link">
              My Profile
            </router-link>
          </li>
          <li class="nav-item">
            <a href="#" class="nav-link" @click="logout">Logout</a>
          </li>
        </ul>
      </div>
    </div>
  </nav>
</template>

<script>
import { computed } from "vue";
import { useStore } from "vuex";
import { useRouter } from "vue-router";

export default {
  name: "Nav",
  setup() {
    const store = useStore();
    const router = useRouter();

    const auth = computed(() => store.state.authenticated);
    const logout = async () => {
      await fetch("api/logout", {
        method: "POST",
        headers: { "Content-Type": "application/json" },
        credentials: "include",
      });
      store.commit("setAuth", false);
      await router.push("/");
    };
    return {
      auth,
      logout,
    };
  },
};
</script>
